Package org.eclipse.emf.cdo.eresource

# Interface CDOResourceFactory

All Superinterfaces:
  `Resource.Factory`

All Known Implementing Classes:
  `CDOResourceFactoryImpl`

public interface CDOResourceFactory extends Resource.Factory
Creates `CDOResource` instances.

Note that the only important task of this factory is to instantiate a `CDOResourceImpl` and mark it `existing` or not. All further `URI` processing is done later on in the registration process, especially in `CDOResourceImpl.basicSetResourceSet()`.

The recognized URI formats are explained in `CDOURIUtil` and `CDOURIData`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`Resource.Factory.Descriptor, Resource.Factory.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOResourceFactory`
`INSTANCE`

## Method Summary

### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource.Factory

`createResource`

## Field Details

### INSTANCE

static final CDOResourceFactory INSTANCE

Since:
  4.0